#! /usr/bin/env ruby
require "numru/dcl"
include NumRu

file_name = ARGV.shift
target_day = ARGV.shift.to_i
numx = ARGV.shift.to_i
numy = ARGV.shift.to_i

puts "file_name : #{file_name}"

file1 = File.open(file_name, "r")

data2d = NArray.float(numx, numy)
data_accumu = NArray.float(numy)
data_expr1end = NArray.float(numy)
data_n = NArray.float(numy)

data_accumu[] = 0

DCL::swpset('ldump', true)
DCL::gropn(4)
#DCL::gropn(1)
lines = file1.readlines
target_lineNo = target_day
#for m in 0..lines.length-1

line = lines[target_lineNo-1]
data = line.split(" ")
data.slice!(0, 1)
data_expr1end = NArray.to_na(data)

for m in 0..numx-1
	line = lines[target_lineNo+m]
        data = line.split(" ")
        data.slice!(0,1)
	data_n = NArray.to_na(data)
        
	for j in 0..data_accumu.total-1
	    data2d[m, j] = data_accumu[j] - data_expr1end[j].to_f + data_n[j].to_f
	end
end

	p data2d
	
	DCL::grfrm

	DCL::grswnd(0, numx-1, 0 ,numy-1 )
        DCL::grsvpt(0.05, 0.95, 0.2, 0.8)
	DCL::grstrn(1)
	DCL::grstrf

        DCL::uelset("ltone", true)
	DCL::uetone(data2d)

	DCL::usdaxs
	DCL::udcntr(data2d)
        DCL::uxsttl('B', 'days', 0.0)
        DCL::uysttl('L', 'j', 0.0)
#end

file1.close

DCL::grcls

