#! /usr/bin/env ruby
require "numru/ggraph"
include NumRu

u1_or_u4=ARGV.shift
gphys_u4 = GPhys::IO.open('zonal_mean.nc', u1_or_u4)

start_days=130

levels1 = NArray.int(15).indgen!(-60, 10)
levels = NArray.int(30).indgen!(-60, 5)
mj = DCL.udpget('indxmj')
mn = DCL.udpget('indxmn')

#DCL::gropn(4)
DCL::swpset('ldump', true)
DCL::gropn(4)
DCL::sgpset('lcntl', false)
DCL.sgpset('lfprop', true)
DCL::uzfact(0.9)

p gphys_u4.val[true, 129..164]
GGraph.set_fig('viewport'=>[0.05,0.90, 0.25,0.75])
GGraph.tone(gphys_u4.cut(true, 129..164), true, 'levels'=>levels, 'exchange'=>true)
#GGraph.contour(gphys_u4.cut(true, 129..164), false, 'levels'=>levels1, 
#   'index'=> mn, 'exchange'=>true)
GGraph.contour(gphys_u4.cut(true,129..164), false, 
   'levels'=>levels1, 'index'=>[mj], 'line_type'=>[2], 'label'=>true, 'exchange'=>true)
GGraph.color_bar
DCL::grcls
